%define daemon_user monitor
%if 0%{?suse_version}
%define daemon_group www
%else
%define daemon_group apache
%endif

Name: op5-trapper
Version: %op5version
Release: %op5release
Group: op5/trapper
Summary: Better SNMP traps/notifications handling system
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: op5-trapper-luapack   >= 1.0.0
Requires: op5-trapper-collector >= 1.1.3
Requires: op5-trapper-processor >= 2.0.0
Requires: op5-trapper-gui       >= 2.2.0
Requires: op5-trapper-backup
Requires: op5-monitor           >= 7.0
Requires: op5license
Provides: op5-trapper-release = %version
Obsoletes: op5-trapper-release < %version
Source: %name-%version.tar.gz
License: GPLv2
Vendor: op5 AB

%description
Consolidates op5 trapper packages for better SNMP traps/notifications handling system.

%prep
rm -rf %buildroot
%setup -q

%install
mkdir -p %buildroot
cp -a service/opt %buildroot
install -d %buildroot%_docdir/op5-monitor-trapper-release-test-%{version}

%post
if ! grep -q '^cfg_dir=/opt/monitor/etc/trapper$' /opt/monitor/etc/nagios.cfg; then
    echo -e "\ncfg_dir=/opt/monitor/etc/trapper\n" >> /opt/monitor/etc/nagios.cfg
else
	touch /opt/monitor/etc/nagios.cfg
fi
service monitor reload

%files -n op5-trapper
%attr(664,%daemon_user,%daemon_group) /opt/monitor/etc/trapper/command.cfg

%clean
rm -rf %buildroot
